Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.vectorhighlight
Class FieldTermStack.TermInfo

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.FieldTermStack.TermInfo

All Implemented Interfaces:
  Comparable<FieldTermStack.TermInfo>

Enclosing class:
  FieldTermStack

    public static class FieldTermStack.TermInfo

extends Object
implements Comparable<FieldTermStack.TermInfo>

Method Summary
`int` | `compareTo(FieldTermStack.TermInfo o)`
`int` | `getEndOffset()`
`int` | `getPosition()`
`int` | `getStartOffset()`
`String` | `getText()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getText

    public String getText()

### getStartOffset

    public int getStartOffset()

### getEndOffset

    public int getEndOffset()

### getPosition

    public int getPosition()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(FieldTermStack.TermInfo o)

  Specified by:
    `compareTo` in interface `Comparable<FieldTermStack.TermInfo>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD